var _ = require('lodash');
var classNames = require('classnames');
var React = require('react');

var ConfigItemTitle = require('./ConfigItemTitle.jsx');
var ConfigFieldCheckbox = require('./ConfigFieldCheckbox.jsx');

var ConfigFieldSelectMany = React.createClass({
  handleItemChange: function(itemName, value) {
    this.props.handleChange && this.props.handleChange(itemName, value);
  },

  render: function() {
    var classes = classNames({
      'readonly': this.props.readOnly
    });

    var options = _.map(this.props.items, function(item) {
      // TODO: does required make sense here?
      var title = (
        <ConfigItemTitle
          title={item.title}
          required={!!item.required}
          recommended={!!item.recommended} />
      );

      return (
        <div
          key={item.name + '-selectmany'}
          className="pull-left"
          style={{paddingRight: '10px'}}>
          <ConfigFieldCheckbox
            title={title}
            name={item.name}
            group={this.props.name}
            value={item.value}
            default={item.default}
            readOnly={item.readOnly}
            handleChange={this.handleItemChange} />
        </div>
      );
    }.bind(this));

    return (
      <div className="field field-type-selectmany">
        <div className="input input-type-selectmany clearfix">
          {options}
        </div>
      </div>
    );
  }
});

module.exports = ConfigFieldSelectMany;
